Package org.springframework.aot.generate

# Enum Class AccessControl.Visibility

java.lang.Object
java.lang.Enum<AccessControl.Visibility>
org.springframework.aot.generate.AccessControl.Visibility

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessControl.Visibility>`, `Constable`

Enclosing class:
  AccessControl

public static enum AccessControl.Visibility extends Enum<AccessControl.Visibility>
Access visibility types as determined by the modifiers on a `Member` or `ResolvableType`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PACKAGE_PRIVATE`
Package-private visibility.
`PRIVATE`
Private visibility.
`PROTECTED`
Protected visibility.
`PUBLIC`
Public visibility.

## Method Summary

Modifier and Type
Method
Description
`static AccessControl.Visibility`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccessControl.Visibility[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PUBLIC

public static final AccessControl.Visibility PUBLIC
Public visibility. The member or type is visible to all classes.

### PROTECTED

public static final AccessControl.Visibility PROTECTED
Protected visibility. The member or type is only visible to classes in the same package or subclasses.

### PACKAGE_PRIVATE

public static final AccessControl.Visibility PACKAGE_PRIVATE
Package-private visibility. The member or type is only visible to classes in the same package.

### PRIVATE

public static final AccessControl.Visibility PRIVATE
Private visibility. The member or type is not visible to other classes.

## Method Details

### values

public static AccessControl.Visibility[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AccessControl.Visibility valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null